
Infrastructure - Task #164

Define and document DNS strategy for naming coordinating nodes and possibly member nodes.

2010-01-13 15:50 - Dave Vieglais

Status: Closed Start date: 2010-10-06

Priority: High Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Milestone: CCI-0.7 Story Points:  

Product Version: *   

Description

Need to document the general strategy for DNS management in DataONE.

Currently we have:

:dataone.org: The D1 plone site

:repository.dataone.org: Source repo

:trac.dataone.org: Trac instance

:list_name@dataone.org: Various mailing lists

:mule*.dataone.org: Temporary slave machine

For CNs, suggest:

:cn.dataone.org: entry to support RRDNS, directing to cn*.dataone.org

:cn*.dataone.org: The coordinating nodes (e.g. cn1, cn2, cn3)

What about dev machines (e.g. the CN development server)?

Do we want to support DNS for member nodes?

Also require:

* contact info for DNS administrators

* configuration of DNS (name server locations, list of records)

History

#1 - 2010-01-13 19:28 - Matthew Jones

The DNS server for DataONE is currently hosted at NCEAS, with the principal name servers hosted at ns1.nceas.ucsb.edu and ns2.nceas.ucsb.edu.

I think we will want to use a more geographically distributed system for DNS for our production services.

The development coordinating node virtual machine is at:

cn-dev.dataone.org

#2 - 2010-10-06 19:10 - Dave Vieglais

- Status changed from New to Closed

- Target version deleted (CCI-1.0)

- Start date set to 2010-10-06

- Milestone set to CCI-0.7
https://redmine.dataone.org/projects/d1/wiki/DataONE
mailto:list_name@dataone.org
https://redmine.dataone.org/projects/d1/wiki/DataONE


There is a related activity that needs to be recorded in operations for migrating to multiple DNS servers to avoid single point of failure.

#3 - 2010-10-27 16:05 - Dave Vieglais

- Category changed from 231 to Documentation
